package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2018-08-08.
 * 字典类型
 *
 * @author jlutt
 */
public class DictType extends BaseEntity {

    @Comment("id")
    private long id;

    @Comment("字典名称")
    @RColumn("dictname")
    private String dictName;

    @Comment("字典类型，最好英文描述，用于选择字典数据传入")
    @RColumn("dicttype")
    private String dictType;

    @Comment("禁用标记0启用 1禁用")
    @RColumn("voidflag")
    private int voidFlag;

    @Comment("备注说明")
    private String remark;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
